{
    "criteria": {
      "requirement": {
        "trigger": "minecraft:consume_item",
        "conditions": {
          "item": {
            "items" : "minecraft:potion",
            "components": {"custom_data": "{potion:healing_potion}"}
          }
        }
      }
    },
    "rewards": {
      "function": "main:game/arena/shop/potions/effects/healing_potion"
    }
  }